﻿package controller.events 
{
	import flash.events.Event;
	import model.vo.GalleryVO;
	
	/**
	 * ...
	 * @author Igor Volk
	 */
	public class DataEvent extends Event 
	{
		public static const GALLERY_LOADED:String = "galleryLoaded";
		public var gallery:GalleryVO;
		
		public function DataEvent(type:String, gallery:GalleryVO, bubbles:Boolean=false, cancelable:Boolean=false) 
		{ 
			super(type, bubbles, cancelable);
			this.gallery = gallery;
		} 
		
		public override function clone():Event 
		{ 
			return new DataEvent(type, gallery, bubbles, cancelable);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("DataEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}