﻿package  
{
	import controller.events.DataEvent;
	import controller.PopulateModelCommand;
	import controller.StartupCommand;
	import flash.display.DisplayObjectContainer;
	import model.BPModel;
	import model.IBPModel;
	import org.robotlegs.base.ContextEvent;
	import org.robotlegs.mvcs.Context;
	import services.IDataService;
	import services.XMLLocalService;
	import view.MainMediator;
	
	/**
	 * ...
	 * @author Igor Volk
	 */
	
	public class BPLandingPageContext extends Context
	{
		
		public function BPLandingPageContext(contextView:DisplayObjectContainer) 
		{
			super(contextView);
		}
		
		override public function startup ():void
		{
			commandMap.mapEvent(ContextEvent.STARTUP_COMPLETE, StartupCommand, ContextEvent);
			commandMap.mapEvent(DataEvent.GALLERY_LOADED, PopulateModelCommand, DataEvent);
			
			//var m:BPModel = new BPModel();
			//injector.mapValue(BPModel, m);
			injector.mapSingletonOf(IBPModel, BPModel);
			injector.mapSingletonOf(IDataService, XMLLocalService);
			
			mediatorMap.mapView(Main, MainMediator);
			mediatorMap.createMediator(contextView);

			super.startup();
		}
	}
}