﻿package services 
{
	import controller.events.DataEvent;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import model.vo.GalleryVO;
	import model.vo.ItemVO;
	import org.robotlegs.mvcs.Actor;
	import model.BPModel;
	
	/**
	 * ...
	 * @author Igor Volk
	 */
	
	public class XMLLocalService extends Actor implements IDataService
	{
		
		
		protected var path:String = "xml/data.xml";
		protected var xml:XML;
		
		public function XMLLocalService() 
		{
			
		}
		
		public function loadData() : void
		{
			var loader:URLLoader  = new  URLLoader();
			loader.addEventListener(Event.COMPLETE, onLoad);
			loader.load(new URLRequest(path)); 
		}
		
		private function onLoad(e:Event):void 
		{
			//trace("Model: " + model);
			//trace("toto: " + model.toto);
			//model.test();
			
			//trace("addItem: " + model.images);
			var gallery:GalleryVO = new GalleryVO();
			xml = new XML(e.target.data);
			
			var vo:ItemVO;
			for each(var item:XML in xml.item)
			{
				vo = new ItemVO(item.title.text(), item.copy.text(), item.link.text(), item.img.text());
				gallery.push(vo);
				//trace(model.images.length);
			}
			dispatch(new DataEvent(DataEvent.GALLERY_LOADED, gallery));
		}
		
	}
	
}